Name:           maliit-framework
Version:        0.94.2
Release:        8%{?dist}
Summary:        Input method framework

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://maliit.org/
Source0:        http://maliit.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk2-devel
BuildRequires: gtk3-devel
BuildRequires: gtk-doc
BuildRequires: hunspell-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: qt-devel
BuildRequires: systemd-devel

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt4
Summary: Input method module for Qt 4 based on Maliit framework
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description qt4
Input method module for Qt 4 based on Maliit framework.

%package gtk2
Summary: Input method module for GTK+ 2 based on Maliit framework
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description gtk2
Input method module for GTK+ 2 based on Maliit framework.

%package gtk3
Summary: Input method module for GTK+ 3 based on Maliit framework
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description gtk3
Input method module for GTK+ 3 based on Maliit framework.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Documentation
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: %{name}-gtk2%{?_isa} = %{version}-%{release}
Requires: %{name}-gtk3%{?_isa} = %{version}-%{release}
Requires: %{name}-qt4%{?_isa} = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.

%prep
%setup -q

%build

qmake-qt4 -r MALIIT_VERSION=%{version} PREFIX=%{_prefix} \
             BINDIR=%{_bindir} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} \
             MALIIT_ENABLE_MULTITOUCH=true \
             CONFIG+=disable-gtk-cache-update CONFIG+=disable-preedit \
             CONFIG+=enable-hunspell CONFIG+=enable-dbus-activation \
	     CONFIG+=disable-background-translucency

make %{?_smp_mflags} V=1

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot} DESTDIR=%{buildroot}

find %{buildroot} -name '.moc' -delete
find %{buildroot} -name '.gitignore' -delete

# e.g. maliit-plugins package stores files in there
mkdir -p %{buildroot}%{_datadir}/maliit

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun gtk3
/usr/bin/gtk-query-immodules-3.0-%{__isa_bits} --update-cache &> /dev/null || :

%post gtk3
if [ $1 -eq 1 ] ; then
    # For upgrades, the cache will be regenerated by the new package's %postun
    /usr/bin/gtk-query-immodules-3.0-%{__isa_bits} --update-cache &> /dev/null || :
fi

%postun gtk2
/usr/bin/update-gtk-immodules %{_host} &> /dev/null || :

%post gtk2
if [ $1 -eq 1 ] ; then
    # For upgrades, the cache will be regenerated by the new package's %postun
    /usr/bin/update-gtk-immodules %{_host} &> /dev/null || :
fi

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.LGPL
%doc README NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit*.so.*
%dir %{_libdir}/maliit
%dir %{_libdir}/maliit/plugins
%dir %{_libdir}/maliit/plugins/factories
%{_libdir}/maliit/plugins/factories/libmaliit-plugins-quick-factory.so
%{_libdir}/girepository-1.0/Maliit-1.0.typelib
%{_datadir}/maliit/
%{_datadir}/dbus-1/services/org.maliit.server.service

%files qt4
%{_libdir}/qt4/plugins/inputmethods/libmaliit*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/libim-maliit.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/libim-maliit.so

%files devel
%{_includedir}/maliit/
%{_libdir}/libmaliit*.so
%{_libdir}/pkgconfig/maliit*.pc
%{_libdir}/qt4/mkspecs/features/maliit*
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Maliit-1.0.gir

%files docs
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/maliit/

%files examples
%{_bindir}/maliit-example*
%{_libdir}/maliit-framework-tests

%changelog
* Sun Jul 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.94.2-8
- Fix ftbfs

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.94.2-5
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 13 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 0.94.2-3
- Fix duplicate documentation (#1001288)
- Add BR graphviz for /usr/bin/dot (missing images in documentation)
- Fix summaries, descriptions and Group tags of IM module subpackages
- Fix directory ownership

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.94.2-1
- New 0.94.2 release

* Wed Jan 30 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.94.1-1
- New 0.94.1 release

* Fri Jan 18 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.94.0-1
- New 0.94.0 release

* Fri Nov  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.1-1
- New 0.93.1 release

* Mon Oct 29 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.0-1
- New 0.93.0 release

* Tue Oct  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5.1-1
- 0.95.2.1 to add support for detecting tablet mode changes

* Thu Oct  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-2
- Fix the updating of the gtk2 IM module cache

* Thu Sep 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-1
- New 0.92.5 release, update based on review comments

* Tue Aug 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.4-1
- Initial packaging
